Subject: Re: [PATCH net-next 1/3] selftests: mlxsw: Add ethtool_lib.sh

From: Andrew Lunn <[email-masked]>
Date: Mon, 10 Jun 2019 16:51:03 +0200

> Andrew, are you suggestion to split speeds_get() into
> supported_speeds_get() and advertised_speeds_get() and use each where
> appropriate? Note that not all the tests are testing with autoneg on.

Hi Ido

Yes.

You should be able to force all speeds in supported speeds. But if you
try to auto-neg an speed which is not listed in advertised speeds when
all are enabled, i would expect an error.

    Andrew